## org.gjt.sp.jedit
Class BufferHistory

    java.lang.Object
      org.gjt.sp.jedit.BufferHistory

public class BufferHistory
extends java.lang.Object

Recent file list.

Version:
  $Id: BufferHistory.java,v 1.16 2004/08/12 22:42:43 spestov Exp $
Author:
  Slava Pestov

Nested Class Summary
`static class` `BufferHistory.Entry` Recent file list entry.

Constructor Summary
`BufferHistory()`

Method Summary
`static java.util.Vector` `getBufferHistory()` Deprecated. Call `getHistory()` instead.
`static BufferHistory.Entry` `getEntry(java.lang.String path)`
`static java.util.List` `getHistory()`
`static void` `load()`
`static void` `save()`
`static void` `setEntry(java.lang.String path, int caret, Selection[] selection, java.lang.String encoding)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferHistory

    public BufferHistory()

Method Detail

### getEntry

    public static BufferHistory.Entry getEntry(java.lang.String path)

### setEntry

    public static void setEntry(java.lang.String path,
                                int caret,
                                Selection[] selection,
                                java.lang.String encoding)

### getHistory

    public static java.util.List getHistory()

  Since:
    jEdit 4.2pre2

### getBufferHistory

    public static java.util.Vector getBufferHistory()

  Deprecated. Call `getHistory()` instead.

### load

    public static void load()

### save

    public static void save()